package io.renren.modules.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import io.renren.common.utils.PageUtils;
import io.renren.modules.sys.entity.algs.AlgorithmModel;
import io.renren.modules.sys.entity.algs.AlgorithmModel_Vo;

import java.util.List;
import java.util.Map;

/**
 * @Author: Ivan Q
 * @Date: 2021/6/8 9:36
 */
public interface AlgsModelsService extends IService<AlgorithmModel> {
    PageUtils queryPageOnUse(Map<String, Object> params);

    List<AlgorithmModel_Vo> listAll(Map<String, Object> params);

    void deleteBatch(Long[] tmpIds);

    Long querycategoryId(Long tmpId);

    void update(AlgorithmModel model);

    AlgorithmModel selectByModelName(String modelName);
}
